# == Menu IDs.
# == These are located 100 apart. No one will want more than 100 in each menu #)
const IDM_MRUFILE* = 1000
# ! const IDM_TOOLS* = 1100
# ! -start-[ToolsMax]
const IDM_TOOLS* = 9000
const IDM_TOOLSMAX* = 9300
# ! -end-[ToolsMax]
const IDM_BUFFER* = 1200
const IDM_IMPORT* = 1300
const IDM_LANGUAGE* = 1400

# == File
const IDM_NEW* = 101           # == addds a new empty buffer
const IDM_OPEN* = 102          # == shows file open dialog
const IDM_OPENSELECTED* = 103  # == Open Selected Filename
const IDM_REVERT* = 104        # == go back
const IDM_CLOSE* = 105         # == close SciTE instance
const IDM_SAVE* = 106          # == save current buffer
const IDM_SAVEAS* = 110        # == shows saveAs dialog
const IDM_SAVEASHTML* = 111    # == shows saveAs html dialog
const IDM_SAVEASRTF* = 112     # == shows saveAs rtf dialog
const IDM_SAVEASPDF* = 113     # == shows saveAs pdf dialog
const IDM_FILER* = 114         
const IDM_SAVEASTEX* = 115     
const IDM_SAVEACOPY* = 116     
const IDM_SAVEASXML* = 117     
const IDM_COPYPATH* = 118
const IDM_MRU_SEP* = 120
const IDM_PRINTSETUP* = 130    # == Page Setup
const IDM_PRINT* = 131
const IDM_LOADSESSION* = 132
const IDM_SAVESESSION* = 133
const IDM_QUIT* = 140
const IDM_ENCODING_DEFAULT* = 150 # == Code Page Property
const IDM_ENCODING_UCS2BE* = 151  # == UTF-16 Big Endian
const IDM_ENCODING_UCS2LE* = 152  # == UTF-16 Little Endian
const IDM_ENCODING_UTF8* = 153    # == UTF-8 with BOM
const IDM_ENCODING_UCOOKIE* = 154 # == UTF-8

const MRU_START* = 17
const IMPORT_START* = 20
const TOOLS_START* = 3

# == Edit
const IDM_UNDO* = 201
const IDM_REDO* = 202
const IDM_CUT* = 203
const IDM_COPY* = 204
const IDM_PASTE* = 205
const IDM_CLEAR* = 206         # == Delete
const IDM_SELECTALL* = 207
const IDM_PASTEANDDOWN* = 208
const IDM_FIND* = 210
const IDM_FINDNEXT* = 211
const IDM_FINDNEXTBACK* = 212  # == Find Previous
const IDM_FINDNEXTSEL* = 213
const IDM_FINDNEXTBACKSEL* = 214
const IDM_FINDINFILES* = 215
const IDM_REPLACE* = 216
const IDM_GOTO* = 220
const IDM_BOOKMARK_NEXT* = 221
const IDM_BOOKMARK_TOGGLE* = 222
const IDM_BOOKMARK_PREV* = 223
const IDM_BOOKMARK_CLEARALL* = 224
const IDM_BOOKMARK_NEXT_SELECT* = 225
const IDM_BOOKMARK_PREV_SELECT* = 226
const IDM_MATCHBRACE* = 230
const IDM_SELECTTOBRACE* = 231
const IDM_SHOWCALLTIP* = 232
const IDM_COMPLETE* = 233
const IDM_COMPLETEWORD* = 234
const IDM_EXPAND* = 235        # == Toggle current fold
const IDM_TOGGLE_FOLDALL* = 236
const IDM_TOGGLE_FOLDRECURSIVE* = 237
const IDM_EXPAND_ENSURECHILDRENVISIBLE* = 238
const IDM_UPRCASE* = 240       # == Make Selection Uppercase
const IDM_LWRCASE* = 241       # == Make Selection Lowercase
const IDM_ABBREV* = 242        # == Expand Abbreviation
const IDM_BLOCK_COMMENT* = 243 # == Block Comment or Uncomment
const IDM_STREAM_COMMENT* = 244
const IDM_COPYASRTF* = 245
const IDM_BOX_COMMENT* = 246
const IDM_INS_ABBREV* = 247    # == Insert Abbreviation
const IDM_JOIN* = 248
const IDM_SPLIT* = 249
const IDM_DUPLICATE* = 250
const IDM_INCSEARCH* = 252     # == Incremental Search
const IDM_ENTERSELECTION* = 256

const IDC_INCFINDTEXT* = 253
const IDC_INCFINDBTNOK* = 254
const IDC_EDIT1* = 1000
const IDC_STATIC* = -1


const IDM_PREVMATCHPPC* = 260
const IDM_SELECTTOPREVMATCHPPC* = 261
const IDM_NEXTMATCHPPC* = 262
const IDM_SELECTTONEXTMATCHPPC* = 263

# == Tools
const IDM_COMPILE* = 301
const IDM_BUILD* = 302
const IDM_GO* = 303
const IDM_STOPEXECUTE* = 304
const IDM_FINISHEDEXECUTE* = 305
const IDM_NEXTMSG* = 306
const IDM_PREVMSG* = 307

const IDM_MACRO_SEP* = 310
const IDM_MACRORECORD* = 311
const IDM_MACROSTOPRECORD* = 312
const IDM_MACROPLAY* = 313
const IDM_MACROLIST* = 314

const IDM_ACTIVATE* = 320

const IDM_SRCWIN* = 350
const IDM_RUNWIN* = 351
const IDM_TOOLWIN* = 352
const IDM_STATUSWIN* = 353
const IDM_TABWIN* = 354

# == Options
const IDM_SPLITVERTICAL* = 401
const IDM_VIEWSPACE* = 402     # == Whitespace
const IDM_VIEWEOL* = 403
const IDM_VIEWGUIDES* = 404    # == Indentation Guides
const IDM_SELMARGIN* = 405
const IDM_FOLDMARGIN* = 406
const IDM_LINENUMBERMARGIN* = 407
const IDM_VIEWTOOLBAR* = 408
const IDM_TOGGLEOUTPUT* = 409
const IDM_VIEWTABBAR* = 410
const IDM_VIEWSTATUSBAR* = 411
const IDM_TOGGLEPARAMETERS* = 412
const IDM_OPENFILESHERE* = 413
const IDM_WRAP* = 414
const IDM_WRAPOUTPUT* = 415
const IDM_READONLY* = 416

const IDM_CLEAROUTPUT* = 420
const IDM_SWITCHPANE* = 421

const IDM_EOL_CRLF* = 430
const IDM_EOL_CR* = 431
const IDM_EOL_LF* = 432
const IDM_EOL_CONVERT* = 433   # == Convert Line End Characters

const IDM_TABSIZE* = 440       # == Change Indentation Settings

const IDM_MONOFONT* = 450

const IDM_OPENLOCALPROPERTIES* = 460
const IDM_OPENUSERPROPERTIES* = 461
const IDM_OPENGLOBALPROPERTIES* = 462
const IDM_OPENABBREVPROPERTIES* = 463
const IDM_OPENLUAEXTERNALFILE* = 464  # == Open Lua Startup Script
const IDM_OPENDIRECTORYPROPERTIES* = 465

# const IDM_SELECTIONMARGIN* = 490
# const IDM_BUFFEREDDRAW* = 491
# const IDM_USEPALETTE* = 492

# == Buffers
const IDM_PREVFILE* = 501
const IDM_NEXTFILE* = 502
const IDM_CLOSEALL* = 503
const IDM_SAVEALL* = 504
const IDM_BUFFERSEP* = 505
const IDM_PREVFILESTACK* = 506
const IDM_NEXTFILESTACK* = 507
const IDM_MOVETABRIGHT* = 508
const IDM_MOVETABLEFT* = 509

const IDM_WHOLEWORD* = 800
const IDM_MATCHCASE* = 801
const IDM_REGEXP* = 802
const IDM_WRAPAROUND* = 803
const IDM_UNSLASH* = 804
const IDM_DIRECTIONUP* = 805
const IDM_DIRECTIONDOWN* = 806

# == Help
const IDM_HELP* = 901
const IDM_ABOUT* = 902
const IDM_HELP_SCITE* = 903

# == Windows specific windowing options
const IDM_ONTOP* = 960         # == Always On Top
const IDM_FULLSCREEN* = 961
const IDC_TABCLOSE* = 962
const IDC_SHIFTTAB* = 963
const IDC_TABDBLCLK* = 964     # == ! -add-[close_on_dbl_clk]

# == Dialog control IDs
const IDGOLINE* = 220
const IDABOUTSCINTILLA* = 221
const IDFINDWHAT* = 222
const IDFILES* = 223
const IDDIRECTORY* = 224
const IDCURRLINE* = 225
const IDLASTLINE* = 226
const IDEXTEND* = 227
const IDTABSIZE* = 228
const IDINDENTSIZE* = 229
const IDUSETABS* = 230

const IDREPLACEWITH* = 231
const IDWHOLEWORD* = 232
const IDMATCHCASE* = 233
const IDDIRECTIONUP* = 234
const IDDIRECTIONDOWN* = 235
const IDREPLACE* = 236
const IDREPLACEALL* = 237
const IDREPLACEINSEL* = 238
const IDREGEXP* = 239
const IDWRAP* = 240

const IDUNSLASH* = 241
const IDCMD* = 242

# == id for the browse button in the grep dialog
const IDBROWSE* = 243

const IDABBREV* = 244

const IDREPLACEINBUF* = 244
const IDMARKALL* = 245

const IDGOLINECHAR* = 246
const IDCURRLINECHAR* = 247
const IDREPLDONE* = 248

const IDDOTDOT* = 249
const IDFINDINSTYLE* = 250
const IDFINDSTYLE* = 251
const IDCONVERT* = 252

const IDPARAMSTART* = 300

# == Dialog IDs
const IDD_FIND* = 400
const IDD_REPLACE* = 401
const IDD_BUFFERS* = 402
const IDD_FIND_ADV* = 403
const IDD_REPLACE_ADV* = 404

# == Resource IDs
# ! const IDR_CLOSEFILE* = 100
const IDR_BUTTONS* = 100       # == ! -change-[user.toolbar]
const IDC_DRAGDROP* = 401
const IDBM_WORD* = 101
const IDBM_CASE* = 102
const IDBM_REGEX* = 103
const IDBM_BACKSLASH* = 104
const IDBM_AROUND* = 105
const IDBM_UP* = 106